#pragma once
#include "../../Interface/Actions/TacticalAction.h"
#include "../Layer2ManagersBase.h"
#include "../ActionResources.h"
/**
 * @brief Base class for tactical actions.
 */
class L2TacticalAction : public virtual TacticalAction
{
public:
  /**
   * @brief Constructs a new tactical action.
   */
  L2TacticalAction(const Process* parent, unsigned int priority)
    : TacticalAction(parent, priority)
    , Process(parent)
  {
  }

protected:
  virtual void onStartImplementation()
  {
  }

  virtual void onCancelImplementation()
  {
  }

  virtual void onEndImplementation()
  {
  }
};
